package cd.casic.ci.common.pipeline.pojo.time;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.pipeline.pojo.time
 * @Project：ops-pro
 * @name：BuildRecordTimeCost
 * @Date：2025/03/26 11:11
 * @Filename：BuildRecordTimeCost
 * @description：Todo
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Schema(title = "各项执行耗时（单位毫秒）")
public class BuildRecordTimeCost {
    @Schema(title = "系统耗时（由总耗时减去其他得出）", required = true)
    private long systemCost = 0;
    @Schema(title = "执行耗时", required = true)
    private long executeCost = 0;
    @Schema(title = "等待耗时（包括了排队和等待人工审核操作时间）", required = true)
    private long waitCost = 0;
    @Schema(title = "只处于排队的耗时（流水线并发、Stage下Job并发和Job互斥）", required = true)
    private long queueCost = 0;
    @Schema(title = "总耗时（结束时间-开始时间）", required = true)
    private long totalCost = 0;


    public BuildRecordTimeCost(long totalCost, long waitCost, long executeCost) {
        this.totalCost = totalCost;
        this.waitCost = waitCost;
        this.executeCost = executeCost;
    }
}
