package cd.casic.pipeline.environment.pojo.thirdpartyagent;

import cd.casic.ci.common.pipeline.pojo.agent.NewHeartbeatInfo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @author by mianbin
 * @Classname ThirdPartyAgentDetail
 * @Description TODO
 * @Date 2025/4/8 21:19
 */
@Data
public class ThirdPartyAgentDetail {
    @Schema(title = "Agent Hash ID", required = true)
    private String agentId;
    @Schema(title = "Node Hash ID", required = true)
    private String nodeId;
    @Schema(title = "节点名称", required = true)
    private String displayName;
    @Schema(title = "项目ID", required = true)
    private String projectId;
    @Schema(title = "状态", required = true)
    private String status;
    @Schema(title = "主机名", required = true)
    private String hostname;
    @Schema(title = "操作系统 | LINUX MACOS WINDOWS", required = true)
    private String os;
    @Schema(title = "操作系统", required = true)
    private String osName;
    @Schema(title = "IP地址", required = true)
    private String ip;
    @Schema(title = "导入人", required = true)
    private String createdUser;
    @Schema(title = "导入时间", required = true)
    private String createdTime;
    @Schema(title = "Agent版本", required = true)
    private String agentVersion;
    @Schema(title = "Worker版本", required = true)
    private String slaveVersion;
    @Schema(title = "agent安装路径", required = true)
    private String agentInstallPath;
    @Schema(title = "已废弃，使用 parallelTaskCount", required = true)
    private String maxParallelTaskCount;
    @Schema(title = "最大构建并发数", required = true)
    private String parallelTaskCount;
    @Schema(title = "docker构建机通道数量", required = true)
    private String dockerParallelTaskCount;
    @Schema(title = "启动用户", required = true)
    private String startedUser;
    @Schema(title = "agent链接", required = true)
    private String agentUrl;
    @Schema(title = "agent安装脚本", required = true)
    private String agentScript;
    @Schema(title = "最新心跳时间", required = true)
    private String lastHeartbeatTime;
    @Schema(title = "CPU 核数", required = true)
    private String ncpus;
    @Schema(title = "内存", required = true)
    private String memTotal;
    @Schema(title = "硬盘空间（最大盘）", required = true)
    private String diskTotal;
    @Schema(title = "是否可以编辑", required = false)
    private Boolean canEdit;
    @Schema(title = "当前Agent版本", required = false)
    private String currentAgentVersion;
    @Schema(title = "当前Worker版本", required = false)
    private String currentWorkerVersion;
    @Schema(title = "心跳信息", required = false)
    private NewHeartbeatInfo heartbeatInfo;
    @Schema(title = "错误退出信息", required = false)
    private String exitErrorMsg;
}
