package cd.casic.ci.log.dal.dataobject;

import cd.casic.framework.commons.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * @author by mianbin
 * @Classname LogIndicesV2
 * @Description TODO
 * @Date 2025/3/19 17:16
 */
@Data
@Accessors(chain = true)
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "log_indices_v2", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
public class LogIndicesV2 extends BaseDO {
    @TableId
    private Long id;

    private String buildId;

    private String indexName;

    private long lastLineNum;
    /**
     * build is enable v2 or not
     */
    private boolean enable;
    /**
     * multi es log cluster name
     */
    private String logClusterName;
    /**
     * use multi es log cluster or not
     */
    private boolean useCluster;

    public LogIndicesV2(String buildId, String indexName, long lastLineNum, Date createTime, Date updateTime, boolean enable, boolean useCluster) {
        this.buildId = buildId;
        this.indexName = indexName;
        this.lastLineNum = lastLineNum;
        this.enable = enable;
        this.useCluster = useCluster;
    }
}
