package cd.casic.ci.log.dal.pojo;

import cd.casic.ci.log.dal.pojo.enums.LogStorageMode;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.File;

/**
 * @author by mianbin
 * @Classname TaskBuildLogProperty
 * @Date 2025/3/19 17:48
 */
@Data
@Schema(description = "任务构建日志属性")
public class TaskBuildLogProperty {
    @Schema(description = "插件任务ID", required = true)
    public String elementId;
    @Schema(description = "日志文件子路径", required = true)
    public String childPath;
    @Schema(description = "日志zip文件子路径", required = true)
    public String childZipPath;
    @Schema(description = "日志文件句柄", required = true)
    public File logFile;
    @Schema(description = "日志的存储模式")
    public LogStorageMode logStorageMode = LogStorageMode.UPLOAD;
}
