package cd.casic.ci.process.api.process.pojo;

import cd.casic.ci.common.pipeline.enums.ManualReviewAction;
import cd.casic.ci.common.pipeline.pojo.element.atom.ManualReviewParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo
 * @Project：ops-pro
 * @name：ReviewParam
 * @Date：2025/03/24 17:02
 * @Filename：ReviewParam
 * @description：Todo
 */
@Data
@Schema(title = "人工审核插件-审核信息")
public class ReviewParam {
    @Schema(title = "项目Id", required = true)
    private String projectId;
    @Schema(title = "流水线Id", required = true)
    private String pipelineId;
    @Schema(title = "构建Id", required = true)
    private String buildId;
    @Schema(title = "审核人", required = true)
    private List<String> reviewUsers;
    @Schema(title = "审核结果", required = false)
    private ManualReviewAction status;
    @Schema(title = "描述", required = false)
    private String desc;
    @Schema(title = "审核意见", required = false)
    private String suggest;
    @Schema(title = "参数列表", required = false)
    private List<ManualReviewParam> params;
}
