package cd.casic.ci.project.service.impl;



import cd.casic.ci.project.service.ServiceAllocIdResource;
import cd.casic.framework.redis.core.RedisTemplateUtils;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;
@Service
public class ServiceAllocIdResourceImpl implements ServiceAllocIdResource {
    RedisTemplateUtils redisTemplateUtils;

    @Override
    public Long generateSegmentId(String bizTag) {
        return redisTemplateUtils.incr(bizTag,1);
    }

    @Override
    public List<Long> batchGenerateSegmentId(String bizTag, Integer number) {
        List<Long> idList = new ArrayList<>(number);
        // 可以改成批处理
        for (int i = 0; i < number; i++) {
            long incr = redisTemplateUtils.incr(bizTag, 1);
            idList.add(incr);
        }
        return idList;
    }
}
