package cd.casic.ci.log.scm.service.github;


import cd.casic.ci.log.scm.dal.pojo.github.GithubToken;
import cd.casic.framework.commons.util.encrypt.AESUtil;
import cd.casic.ci.log.scm.dal.dao.RepositoryGitlabTokenMapper;
import cd.casic.ci.log.scm.dal.dto.RepositoryGitlabToken;
import cd.casic.ci.log.scm.enums.GitHubTokenType;
import jakarta.annotation.Resource;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;


@Service
@Slf4j
public class GithubTokenServiceImpl implements GithubTokenService {

    private final String aesKey = "";

    @Resource
    private RepositoryGitlabTokenMapper repositoryGitlabTokenMapper;

    @Override
    public GithubToken getAccessToken(String userId, GitHubTokenType tokenType) {
        RepositoryGitlabToken gitlabToken = repositoryGitlabTokenMapper.selectOne(RepositoryGitlabToken::getUserId, userId, RepositoryGitlabToken::getType, tokenType.name());
        if (gitlabToken == null) {
            return null;
        }
        log.info("github aesKey:" + aesKey);
        return new GithubToken(AESUtil.decrypt(aesKey, gitlabToken.getAccessToken()), gitlabToken.getTokenType(), gitlabToken.getScope());
    }
}
