package cd.casic.pipeline.store.pojo.atom;

import cd.casic.pipeline.store.pojo.atom.enums.JobTypeEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "插件执行环境信息")
public class AtomEnv {
    @Schema(title = "插件Id", required = true)
    private String atomId;
    @Schema(title = "插件代码", required = true)
    private String atomCode;
    @Schema(title = "插件名称", required = true)
    private String atomName;
    @Schema(title = "插件状态", required = true)
    private String atomStatus;
    @Schema(title = "插件创建人", required = true)
    private String creator;
    @Schema(title = "插件版本号", required = true)
    private String version;
    @Schema(title = "是否是公共插件", required = true)
    private Boolean publicFlag;
    @Schema(title = "插件简介", required = false)
    private String summary;
    @Schema(title = "插件说明文档链接", required = false)
    private String docsLink;
    @Schema(title = "插件自定义json串", required = false)
    private String props;
    @Schema(title = "无构建环境插件是否可以在有构建环境运行标识", required = false)
    private Boolean buildLessRunFlag;
    @Schema(title = "插件创建时间", required = true)
    private Long createTime;
    @Schema(title = "插件最后修改时间", required = true)
    private Long updateTime;
    @Schema(title = "插件初始化项目代码", required = false)
    private String projectCode;
    @Schema(title = "安装包路径", required = false)
    private String pkgPath;
    @Schema(title = "插件开发语言", required = false)
    private String language;
    @Schema(title = "支持插件开发语言的最低版本", required = false)
    private String minVersion;
    @Schema(title = "插件执行入口", required = false)
    private String target;
    @Schema(title = "插件SHA签名串", required = false)
    private String shaContent;
    @Schema(title = "插件执行前置命令", required = false)
    private String preCmd;
    @Schema(title = "Job类型", required = false)
    private JobTypeEnum jobType;
    @Schema(title = "插件post信息", required = false)
    private AtomPostInfo atomPostInfo;
    @Schema(title = "所属插件分类代码", required = false)
    private String classifyCode;
    @Schema(title = "所属插件分类名称", required = false)
    private String classifyName;
    @Schema(title = "运行时版本", required = false)
    private String runtimeVersion;
    @Schema(title = "插件运行结束后是否立即杀掉其进程", required = false)
    private Boolean finishKillFlag;
    @Schema(title = "插件是否需要鉴权（开源插件无需鉴权）", required = false)
    private Boolean authFlag;
}