package cd.casic.pipeline.store.pojo.atom;

import cd.casic.ci.common.pipeline.enums.FrontendTypeEnum;
import cd.casic.pipeline.store.pojo.common.comment.StoreUserCommentInfo;
import cd.casic.pipeline.store.pojo.common.index.StoreIndexInfo;
import cd.casic.pipeline.store.pojo.common.label.Label;
import cd.casic.pipeline.store.pojo.common.statistic.StoreDailyStatistic;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

@Data
public class AtomVersion {
    @Schema(title = "插件ID")
    private String atomId;
    @Schema(title = "插件标识")
    private String atomCode;
    @Schema(title = "插件名称")
    private String name;
    @Schema(title = "logo地址")
    private String logoUrl;
    @Schema(title = "插件分类code")
    private String classifyCode;
    @Schema(title = "插件分类名称")
    private String classifyName;
    @Schema(title = "插件范畴")
    private String category;
    @Schema(title = "插件说明文档链接")
    private String docsLink;
    @Schema(title = "前端渲染模板版本（1.0代表历史存量插件渲染模板版本）")
    private String htmlTemplateVersion;
    @Schema(title = "插件类型")
    private String atomType;
    @Schema(title = "适用Job类型")
    private String jobType;
    @Schema(title = "操作系统")
    private List<String> os;
    @Schema(title = "插件简介")
    private String summary;
    @Schema(title = "插件描述")
    private String description;
    @Schema(title = "版本号")
    private String version;
    @Schema(title = "插件状态", required = true)
    private String atomStatus;
    @Schema(title = "发布类型")
    private String releaseType;
    @Schema(title = "版本日志")
    private String versionContent;
    @Schema(title = "开发语言")
    private String language;
    @Schema(title = "代码库链接")
    private String codeSrc;
    @Schema(title = "发布者")
    private String publisher;
    @Schema(title = "创建人")
    private String creator;
    @Schema(title = "修改人")
    private String modifier;
    @Schema(title = "创建时间")
    private String createTime;
    @Schema(title = "修改时间")
    private String updateTime;
    @Schema(title = "是否为默认插件（默认插件默认所有项目可见）true：默认插件 false：普通插件")
    private Boolean defaultFlag;
    @Schema(title = "是否可安装标识")
    private Boolean flag;
    @Schema(title = "插件代码库授权者")
    private String repositoryAuthorizer;
    @Schema(title = "插件的调试项目")
    private String projectCode;
    @Schema(title = "插件的初始化项目")
    private String initProjectCode;
    @Schema(title = "标签列表", required = false)
    private List<Label> labelList;
    @Schema(title = "用户评论信息")
    private StoreUserCommentInfo userCommentInfo;
    @Schema(title = "项目可视范围,PRIVATE:私有 LOGIN_PUBLIC:登录用户开源")
    private String visibilityLevel;
    @Schema(title = "插件代码库不开源原因")
    private String privateReason;
    @Schema(title = "是否推荐标识 true：推荐，false：不推荐", required = false)
    private Boolean recommendFlag;
    @Schema(title = "前端UI渲染方式", required = false)
    private FrontendTypeEnum frontendType;
    @Schema(title = "yaml可用标识 true：是，false：否")
    private Boolean yamlFlag;
    @Schema(title = "是否可编辑")
    private Boolean editFlag;
    @Schema(title = "每日统计信息列表")
    private List<StoreDailyStatistic> dailyStatisticList;
    @Schema(title = "指标信息列表")
    private List<StoreIndexInfo> indexInfos;
}