package cd.casic.pipeline.store.pojo.atom;

import cd.casic.ci.common.pipeline.enums.FrontendTypeEnum;
import cd.casic.pipeline.store.pojo.common.label.Label;
import cd.casic.pipeline.store.pojo.common.version.VersionInfo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;
import java.util.Map;

@Data
@Schema(title = "流水线-流水线插件信息")
public class PipelineAtom {
    @Schema(title = "插件ID", required = true)
    private String id;
    @Schema(title = "插件名称", required = true)
    private String name;
    @Schema(title = "插件代码", required = true)
    private String atomCode;
    @Schema(title = "版本号", required = true)
    private String version;
    @Schema(title = "插件大类（插件市场发布的插件分为有marketBuild：构建环境和marketBuildLess：无构建环境）", required = true)
    private String classType;
    @Schema(title = "插件logo", required = false)
    private String logoUrl;
    @Schema(title = "插件图标", required = false)
    private String icon;
    @Schema(title = "插件简介", required = false)
    private String summary;
    @Schema(title = "服务范围", required = false)
    private List<String> serviceScope;
    @Schema(title = "适用Job类型，AGENT： 编译环境，AGENT_LESS：无编译环境", required = false)
    private String jobType;
    @Schema(title = "支持的操作系统", required = false)
    private List<String> os;
    @Schema(title = "所属插件分类Id", required = false)
    private String classifyId;
    @Schema(title = "所属插件分类代码", required = false)
    private String classifyCode;
    @Schema(title = "所属插件分类名称", required = false)
    private String classifyName;
    @Schema(title = "插件说明文档链接", required = false)
    private String docsLink;
    @Schema(title = "插件所属范畴，TRIGGER：触发器类插件 TASK：任务类插件", required = false)
    private String category;
    @Schema(title = "插件类型，SELF_DEVELOPED：自研 THIRD_PARTY：第三方开发", required = false)
    private String atomType;
    @Schema(title = "插件状态", required = true)
    private String atomStatus;
    @Schema(title = "插件描述", required = false)
    private String description;
    @Schema(title = "版本信息列表", required = true)
    private List<VersionInfo> versionList;
    @Schema(title = "插件标签列表", required = false)
    private List<Label> atomLabelList;
    @Schema(title = "创建人", required = true)
    private String creator;
    @Schema(title = "是否为默认插件（默认插件默认所有项目可见）true：默认插件 false：普通插件", required = false)
    private Boolean defaultFlag;
    @Schema(title = "是否为最新版本插件 true：最新 false：非最新", required = false)
    private Boolean latestFlag;
    @Schema(title = "前端渲染模板版本（1.0代表历史存量插件渲染模板版本）", required = false)
    private String htmlTemplateVersion;
    @Schema(title = "无构建环境插件是否可以在有构建环境运行标识， TRUE：可以 FALSE：不可以", required = false)
    private Boolean buildLessRunFlag;
    @Schema(title = "权重（数值越大代表权重越高）")
    private Integer weight;
    @Schema(title = "自定义扩展容器前端表单属性字段的Json串", required = false)
    private Map<String, Object> props;
    @Schema(title = "预留字段（设置规则等信息的json串）", required = false)
    private Map<String, Object> data;
    @Schema(title = "是否推荐标识 true：推荐，false：不推荐", required = false)
    private Boolean recommendFlag;
    @Schema(title = "前端UI渲染方式", required = false)
    private FrontendTypeEnum frontendType;
    @Schema(title = "项目可视范围,PRIVATE:私有 LOGIN_PUBLIC:登录用户开源", required = false)
    private String visibilityLevel;
    @Schema(title = "插件创建时间", required = true)
    private Long createTime;
    @Schema(title = "插件最后修改时间", required = true)
    private Long updateTime;
}