package cd.casic.pipeline.store.pojo.common.index;

import cd.casic.pipeline.store.pojo.common.enums.*;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Data
@Schema(title = "研发商店指标基本信息")
public class StoreIndexBaseInfo {
    @Schema(title = "ID", required = true)
    private String id;

    @Schema(title = "指标代码", required = true)
    private String indexCode;

    @Schema(title = "指标名称", required = true)
    private String indexName;

    @Schema(title = "指标描述", required = true)
    private String description;

    @Schema(title = "运算类型", required = true)
    private IndexOperationTypeEnum operationType;

    @Schema(title = "指标对应的插件代码")
    private String atomCode;

    @Schema(title = "插件执行版本号")
    private String atomVersion;

    @Schema(title = "完成执行任务数量")
    private Integer finishTaskNum;

    @Schema(title = "执行任务总数")
    private Integer totalTaskNum;

    @Schema(title = "指标执行时间类型", required = true)
    private IndexExecuteTimeTypeEnum executeTimeType;

    @Schema(title = "组件类型", required = true)
    private StoreTypeEnum storeType;

    @Schema(title = "指标展示权重", required = true)
    private Integer weight;

    @Schema(title = "创建者", required = true)
    private String creator;

    @Schema(title = "修改者", required = true)
    private String modifier;

    @Schema(title = "更新时间", required = true)
    private LocalDateTime updateTime;

    @Schema(title = "创建时间", required = true)
    private LocalDateTime createTime;
}