package cd.casic.pipeline.store.pojo.image.response;

import cd.casic.ci.common.pipeline.type.docker.ImageType;
import cd.casic.pipeline.store.pojo.image.enums.ImageRDTypeEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "镜像仓库信息")
public class ImageRepoInfo {
    @Schema(title = "镜像仓库地址", required = true)
    private String imageRepoUrl;
    
    @Schema(title = "镜像仓库名", required = true)
    private String imageRepoName;
    
    @Schema(title = "镜像标签", required = true)
    private String imageTag;
    
    @Schema(title = "镜像类型", required = true)
    private ImageType imageType;
    
    @Schema(title = "研发来源", required = true)
    private ImageRDTypeEnum rdType;
}